Skip to main content
POST
/
v5
/
accountant
/
user
Save a user
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/accountant/user \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "users": {
    "id": 123,
    "userId": "<string>",
    "email": "jane@mycompany.com",
    "firstName": "Jane",
    "lastName": "Doe",
    "userRole": "OWNER"
  }
}
'
import requests

url = "https://sandbox.hurdlr.com/rest/v5/accountant/user"

payload = { "users": {
"id": 123,
"userId": "<string>",
"email": "jane@mycompany.com",
"firstName": "Jane",
"lastName": "Doe",
"userRole": "OWNER"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
users: {
id: 123,
userId: '<string>',
email: 'jane@mycompany.com',
firstName: 'Jane',
lastName: 'Doe',
userRole: 'OWNER'
}
})
};

fetch('https://sandbox.hurdlr.com/rest/v5/accountant/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

user object

users
object

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object